#
# TODO: package kde4 component
#
# Conditional build:
%bcond_with	license_agreement	# generates package

%define		ver32	11.2.202.243
%define		ver64	11.2.202.243

%ifarch %{ix86}
%define		version	%{ver32}
%define		libmark	%{nil}
%endif
%ifarch %{x8664}
%define		version	%{ver64}
%define		libmark	()(64bit)
%endif

%define		base_name	adobe-flash
%define		rel 2
Summary:	Flash plugin for Netscape-compatible WWW browsers
Summary(pl.UTF-8):	Wtyczka Flash dla przeglądarek WWW zgodnych z Netscape
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	%{version}
Release:	%{rel}%{?with_license_agreement:wla}
Epoch:		1
License:	Free to use, non-distributable
Group:		X11/Applications/Multimedia
%if %{with license_agreement}
Source0:	http://fpdownload.macromedia.com/get/flashplayer/pdc/%{ver32}/install_flash_player_11_linux_i386.tar.gz#/flash-%{version}.tgz
# NoSourceSource0-md5:	c0eeddf06807c6606b99739c1c21c74f
NoSource:	0
Source1:	http://fpdownload.macromedia.com/get/flashplayer/pdc/%{ver64}/install_flash_player_11_linux_x86_64.tar.gz#/flash64-%{version}.tgz
# NoSourceSource1-md5:	d9a925117f643f2678a2609d25734b15
NoSource:	1
%else
Source3:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source3-md5:	39dd73d36280769d0f74d642c7b0c6d3
%endif
Source2:	mms.cfg
URL:		http://www.adobe.com/products/flashplayer/
Patch0:		desktop.patch
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	sed >= 4.0
Requires:	browser-plugins >= 2.0
Requires:	hicolor-icon-theme
# dlopened by player
Requires:	libasound.so.2%{libmark}
Requires:	libcurl.so.4%{libmark}
%else
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
%endif
Provides:	browser(flash)
Provides:	macromedia-flash
Obsoletes:	flash-plugin
Obsoletes:	konqueror-plugin-macromedia-flash
Obsoletes:	macromedia-flash
Obsoletes:	mozilla-firefox-plugin-macromedia-flash
Obsoletes:	mozilla-plugin-macromedia-flash
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/adobe

# So that building package on AC system won't write package name dep that Th system can't understand (libstdc++4)
%define		_noautoreqdep	libstdc++.so.6

# No debuginfo to be stored
%define		_enable_debug_packages	0

%description
Adobe(R) Flash(R) Player for Linux - the next-generation client
runtime for engaging with Flash content and applications on Linux.

%description -l pl.UTF-8
Adobe(R) Flash(R) Player - środowisko nowej generacji do obsługi
treści i aplikacji we Flashu pod Linuksem.

%prep
%if %{with license_agreement}
%ifarch %{x8664}
%setup -q -T -c -b 1
%else
%setup -q -T -c -b 0
%endif
%patch0 -p1

%build
s=$(echo 'LNX %{version}' | tr . ,)
v=$(strings libflashplayer.so | grep '^LNX ')
if [ "$v" != "$s" ]; then
	: wrong version
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
	s,@COPYSOURCES@,mms.cfg desktop.patch,g
' %{SOURCE3} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

cp -p %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{PATCH0} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_browserpluginsdir},%{_bindir},%{_desktopdir},%{_iconsdir}}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mms.cfg
install -p *.so $RPM_BUILD_ROOT%{_browserpluginsdir}
install usr/bin/flash-player-properties $RPM_BUILD_ROOT%{_bindir}
install usr/share/applications/flash-player-properties.desktop $RPM_BUILD_ROOT%{_desktopdir}/flash-player-properties.desktop
cp -a usr/share/icons/* $RPM_BUILD_ROOT%{_iconsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%else
%post
%update_browser_plugins
%update_icon_cache hicolor

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%update_icon_cache hicolor
%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mms.cfg
%attr(755,root,root) %{_bindir}/flash-player-properties
%attr(755,root,root) %{_browserpluginsdir}/*.so
%{_desktopdir}/flash-player-properties.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%endif
%changelog
* Sat Oct 27 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/adobe-flash-installer.git;a=log;h=master

* Fri Oct 26 2012 Kacper Kornet <draenog@pld-linux.org> 77a494e
- update md5 of license-installer.sh
- package local sources and patches for installer
- rel. 2

* Tue Oct 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b4a56c
- fix urls

* Tue Oct 23 2012 Jan Rękorajski <baggins@pld-linux.org> 966b6ef
- updated to 11.2.202.243

* Thu Aug 16 2012 Kacper Kornet <draenog@pld-linux.org> 0f09f51
- up to 11.2.202.236; fixes CVE-2012-1535

* Wed Jun 13 2012 Elan Ruusamäe <glen@pld-linux.org> ea9f2ae
- unique filenames with 32/64 arch

* Wed Jun 13 2012 Elan Ruusamäe <glen@pld-linux.org> f63d397
- use versioned filenames to catch updates to spec

* Wed Jun 13 2012 Kacper Kornet <draenog@pld-linux.org> 98028b0
- up to 11.2.202.236; fixes CVE-2012-2034, CVE-2012-2035, CVE-2012-2036,
  CVE-2012-2037, CVE-2012-2038, CVE-2012-2039, CVE-2012-2040

* Thu Jun 07 2012 Elan Ruusamäe <glen@pld-linux.org> 390e77f
- ver macros

* Wed May 09 2012 blekot <blekot@pld-linux.org> 68eef96
- up to 11.2.202.235

* Wed Apr 25 2012 blekot <blekot@pld-linux.org> dea0cb8
- up to 11.2.202.233

* Sat Mar 31 2012 Andrzej Zawadzki <zawadaa@gmail.com> 9e82f7a
- up to 11.2.202.228

* Sun Mar 04 2012 Elan Ruusamäe <glen@pld-linux.org> df5ca9b
- flash-player-properties is not GNOME specific, it's just GTK app

* Sun Mar 04 2012 Elan Ruusamäe <glen@pld-linux.org> 8fb4d8b
- why flash-player-properties was disabled in r1.166? add back

* Wed Feb 29 2012 Łukasz Kieś <kiesiu@pld-linux.org> edc3489
- updated to RC1 (11.2.202.221)

* Wed Feb 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 532296e
- beta5

* Sun Jan 29 2012 Łukasz Kieś <kiesiu@pld-linux.org> b2076d7
- updated to labs 11.2.202.183 version (Beta 4)

* Thu Nov 17 2011 Elan Ruusamäe <glen@pld-linux.org> e7f111c
- always tag mms.cfg on builders, regardless of wla bcond

* Fri Oct 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6df44cc
- up to labs version 11.2.202.19

* Sun Oct 09 2011 Artur Frysiak <artur@frysiak.net> 5e166df
- up to 11.0.1.152

* Fri Sep 09 2011 Mateusz Korniak <matkor@pld-linux.org> b36b34d
- Up to  11.0.1.129. (rc1)

